Delete a filed document
curl --request POST \
--url https://api.platform.arb.inc/filings/documents/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caseID": "2025-08-00251",
"filingID": "3"
}
'import requests
url = "https://api.platform.arb.inc/filings/documents/delete"
payload = {
"caseID": "2025-08-00251",
"filingID": "3"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({caseID: '2025-08-00251', filingID: '3'})
};
fetch('https://api.platform.arb.inc/filings/documents/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platform.arb.inc/filings/documents/delete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'caseID' => '2025-08-00251',
'filingID' => '3'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.platform.arb.inc/filings/documents/delete"
payload := strings.NewReader("{\n \"caseID\": \"2025-08-00251\",\n \"filingID\": \"3\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.platform.arb.inc/filings/documents/delete")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"caseID\": \"2025-08-00251\",\n \"filingID\": \"3\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.platform.arb.inc/filings/documents/delete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"caseID\": \"2025-08-00251\",\n \"filingID\": \"3\"\n}"
response = http.request(request)
puts response.read_bodyDocument successfully deleteddocument not founddocument cannot be deleted because it's already added to the docketdocument cannot be deleted because it's currently submitted for approvalyou are registered as an observer and cannot delete documents in this casefilings
Delete a filed document
Removes a document from a case if it’s still eligible for deletion.
POST
/
filings
/
documents
/
delete
Delete a filed document
curl --request POST \
--url https://api.platform.arb.inc/filings/documents/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caseID": "2025-08-00251",
"filingID": "3"
}
'import requests
url = "https://api.platform.arb.inc/filings/documents/delete"
payload = {
"caseID": "2025-08-00251",
"filingID": "3"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({caseID: '2025-08-00251', filingID: '3'})
};
fetch('https://api.platform.arb.inc/filings/documents/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platform.arb.inc/filings/documents/delete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'caseID' => '2025-08-00251',
'filingID' => '3'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.platform.arb.inc/filings/documents/delete"
payload := strings.NewReader("{\n \"caseID\": \"2025-08-00251\",\n \"filingID\": \"3\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.platform.arb.inc/filings/documents/delete")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"caseID\": \"2025-08-00251\",\n \"filingID\": \"3\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.platform.arb.inc/filings/documents/delete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"caseID\": \"2025-08-00251\",\n \"filingID\": \"3\"\n}"
response = http.request(request)
puts response.read_bodyDocument successfully deleteddocument not founddocument cannot be deleted because it's already added to the docketdocument cannot be deleted because it's currently submitted for approvalyou are registered as an observer and cannot delete documents in this caseAuthorizations
access token
Body
application/json
Response
Document was deleted.
The response is of type string.
Example:
"Document successfully deleted"